commit:     f18fbff8206d370667a4cf448d47c2b51912a160
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 29 23:59:51 2024 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Jun 29 23:59:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f18fbff8

dev-lua/luaexpat: add 1.5.2

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/luaexpat/Manifest              |  1 +
 dev-lua/luaexpat/luaexpat-1.5.2.ebuild | 73 ++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-lua/luaexpat/Manifest b/dev-lua/luaexpat/Manifest
index 77295d9bb3bb..381c08007a03 100644
--- a/dev-lua/luaexpat/Manifest
+++ b/dev-lua/luaexpat/Manifest
@@ -1 +1,2 @@
 DIST luaexpat-1.5.1.tar.gz 53912 BLAKE2B 
0e8aa342864159e7a3f3ac21bfd65a7fb4378fc51b5889a93f8c00fd497f985bf194b3889d39f28ca097fd84a6160c9804d5957744a7ac9a002d1a0b6969abf3
 SHA512 
45834b02d863a65c6de2ad3c5c671935ae512dd906233a647269438aeeb37c7bbd6e7166aefd8da72480b33e1aa79a86ed070ed8800a8e0f303ccc74918f3bb8
+DIST luaexpat-1.5.2.tar.gz 54072 BLAKE2B 
7d7a9dbbb28e4fff7adfffaf910546065b3f781934004318566ec13838007ee135247c75555e9b34f530e2f72f65156310454af73dfa6ac48aad50d4e0679efc
 SHA512 
a2a04b2bb76a10a8a0da077b53d22b6e84460f416486a4b006d3df4991cff011dc91a225ab25f994a2713632d562b13d4341530bbc7ede4fd660a6fce24eed3c

diff --git a/dev-lua/luaexpat/luaexpat-1.5.2.ebuild 
b/dev-lua/luaexpat/luaexpat-1.5.2.ebuild
new file mode 100644
index 000000000000..967a7d162cdb
--- /dev/null
+++ b/dev-lua/luaexpat/luaexpat-1.5.2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="A SAX XML parser based on the Expat library"
+HOMEPAGE="https://github.com/lunarmodules/luaexpat";
+SRC_URI="https://github.com/lunarmodules/${PN}/archive/refs/tags/${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+RDEPEND="
+       dev-libs/expat
+       ${LUA_DEPS}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+HTML_DOCS=( "docs/." )
+
+src_prepare() {
+       default
+
+       # Respect users CFLAGS
+       sed -e 's/-O2//g' -i Makefile || die
+
+       lua_copy_sources
+}
+
+lua_src_compile() {
+       pushd "${BUILD_DIR}" || die
+
+       local myemakeargs=(
+               "CC=$(tc-getCC)"
+               "LUA_INC=$(lua_get_CFLAGS)"
+       )
+
+       emake "${myemakeargs[@]}"
+
+       popd
+}
+
+src_compile() {
+       lua_foreach_impl lua_src_compile
+}
+
+lua_src_install() {
+       pushd "${BUILD_DIR}" || die
+
+       local myemakeargs=(
+               "DESTDIR=${ED}"
+               "LUA_CDIR=$(lua_get_cmod_dir)"
+               "LUA_INC=$(lua_get_include_dir)"
+               "LUA_LDIR=$(lua_get_lmod_dir)"
+       )
+
+       emake "${myemakeargs[@]}" install
+
+       popd
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+
+       einstalldocs
+}

Reply via email to